Bug 622158 - [abrt] blueman-1.21-6.fc14: blueman-assistant:194:next_page_fn:AttributeError: FakeDevice instance has no attribute 'Services'
[abrt] blueman-1.21-6.fc14: blueman-assistant:194:next_page_fn:AttributeError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:55960751
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 15:43 EDT by Felix Möller
Modified: 2012-08-16 15:41 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (402 bytes, text/plain)
2010-08-07 15:43 EDT, Felix Möller
no flags Details

  None (edit)
Description Felix Möller 2010-08-07 15:43:38 EDT
abrt version: 1.1.10
architecture: i686
cmdline: /usr/bin/python /usr/bin/blueman-assistant --device=00:13:A9:5C:54:DB
component: blueman
executable: /usr/bin/blueman-assistant
kernel: 2.6.35-0.57.rc6.git1.fc14.i686.PAE
package: blueman-1.21-6.fc14
reason: blueman-assistant:194:next_page_fn:AttributeError: FakeDevice instance has no attribute 'Services'
release: Fedora release 14 (Branched)
How to reproduce: pairing a a2dp device
time: 1281210179
uid: 500

backtrace
-----
blueman-assistant:194:next_page_fn:AttributeError: FakeDevice instance has no attribute 'Services'

Traceback (most recent call last):
  File "/usr/bin/blueman-assistant", line 194, in next_page_fn
    if len(self.Device.Services) == 0:
AttributeError: FakeDevice instance has no attribute 'Services'

Local variables in innermost frame:
self: <__main__.Assistant at / at 0x8ef638c>
data: None
page: 3
Comment 1 Felix Möller 2010-08-07 15:43:41 EDT
Created attachment 437370 [details]
File: backtrace
Comment 2 Gregory Trivett 2010-11-12 15:34:22 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


Comment
-----
pairing the apple trackpad
It worked BTW.. there's some trickery, but it works
Comment 3 mickey mouse 2010-11-14 12:26:04 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open Blueman manager from the applet
2. Search for one smartphone (in my case a nokia 8100)
3. Start the assistant from the toolbar and try the pairing using a random passkey


Comment
-----
These steps makes the assistant to crash, but the pairing was completed correctly.

My desktop manager is KDE4 version 4.5.2
Comment 4 Mariusz 2010-11-25 12:38:21 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened a bluetooth client application
2. Tried to connect bluetooth keyboard with pc
3. Error occured during device pairing


Comment
-----
device that I was trying to pair is Dell BT Keyboard (M/N: Y-RAQ-DEL2)
Comment 5 Mark T. Kennedy 2010-12-29 13:05:19 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. trying to bond a senheiser mm100 headset 
2.
3.
Comment 6 Jonathan Pritchard 2011-01-06 00:06:08 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  I can't remember specifically what happened here. Sorry.
2.
3.
Comment 7 Samuel 2011-01-12 21:05:25 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. .
2.
3.
Comment 8 Sebastian Krämer 2011-01-18 10:55:39 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. scan for new device
2. right-click, choose "Setup" with custom code xxxx
3. press forward

*crash*


Comment
-----
However, I'm asked if I want to establish a A2DP connection which actually succeeds (and works)!
Comment 9 Sebastian Krämer 2011-01-20 08:16:38 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. scan for new device
2. right-click, choose "Setup" with custom code 0000
3. press forward

*crash*


Comment
-----
However, I'm asked if I want to establish a A2DP connection which actually succeeds (and works)!
Comment 10 Samuel 2011-01-24 15:40:36 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. .
2.
3.
Comment 11 Mark T. Kennedy 2011-01-26 13:05:40 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. trying to bind to an MM100 headset
2.
3.
Comment 12 Mark T. Kennedy 2011-01-28 09:01:43 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.setting up an mm100 headset (audio & telephone)
2.
3.
Comment 13 masoudjavadieh 2011-02-03 06:15:57 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. tiryie to make a private nwtwork
2.
3.
Comment 14 Nicolas R. 2011-03-01 12:17:33 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
using blueman to connect iphone
Comment 15 Jim Shipman 2011-03-07 20:02:35 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Was connecting a device.
2.
3.
Comment 16 Jim Shipman 2011-03-10 00:46:24 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Was connecting a device.
2.
3.
Comment 17 Dennis Jakobsen 2011-03-26 07:22:52 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. trying to use bluetooth
2.
3.
Comment 18 marco 2011-03-30 18:46:04 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Using a bluetooth gps unit
2.
3.
Comment 19 Mark 2011-04-17 04:49:53 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Searched for my mobile phone, clicked setup when found, when I enter the random pair key on my phone I got this crash
Comment 20 Mark T. Kennedy 2011-04-18 11:41:05 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. pairing new device
2.
3.
Comment 21 Mark T. Kennedy 2011-04-26 15:51:13 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. trying to 'setup' a sennheiser mm100 headset
2. crashes after entering a custom pin (0000)
3.
Comment 22 Ezequiel 2011-05-02 23:22:19 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Tried to browse the files on my phone
2.
3.
Comment 23 Bill Thielman 2011-11-02 11:48:26 EDT
Package: blueman-1.21-8.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.just installed device
2.
3.


Comment
-----
just installed device
Comment 24 Mike Stefanelli 2011-11-03 09:44:10 EDT
Package: blueman-1.21-8.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.removed current headset device
2.scanned for new devices
3.tried to add headset back in
Comment 25 Fedora End Of Life 2012-08-16 15:41:48 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.